libzypp: zypp::pool::PoolStats Struct Reference

libzypp 17.38.5

zypp::pool::PoolStats Struct Reference

Functor counting ResObjects per Kind. More...

`#include <zypp/pool/PoolStats.h>`

## Public Types
using | KindMap = std::map<ResKind, Counter<unsigned int>>

## Public Member Functions
void | operator() (const ResObject::constPtr &ptr)

## Public Attributes
Counter< unsigned > | _total
KindMap | _perKind

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const PoolStats &obj) ZYPP_API
| Stream output.
template<class TIterator>
std::ostream & | dumpPoolStats (std::ostream &str, TIterator begin_r, TIterator end_r)
| Convenience to count and print out the number of ResObjects per Kind in a container.

## Detailed Description

Functor counting ResObjects per Kind.

See also
  dumpPoolStats
  Total: 2830
  language: 81
  package: 2710
  product: 2
  selection: 36
  system: 1
  zypp::ResolverNamespace::language
  @ language
  language support
  Definition ResolverNamespace.h:26

Definition at line 44 of file PoolStats.h.

## Member Typedef Documentation

## ◆ KindMap

using zypp::pool::PoolStats::KindMap = std::map<ResKind, Counter<unsigned int>>

Definition at line 52 of file PoolStats.h.

## Member Function Documentation

## ◆ operator()()

void zypp::pool::PoolStats::operator() | ( | const ResObject::constPtr & | ptr | ) |
| inline

Definition at line 46 of file PoolStats.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PoolStats & | obj )
| related

Stream output.

Definition at line 31 of file PoolStats.cc.

## ◆ dumpPoolStats()

template<class TIterator>

std::ostream & dumpPoolStats | ( | std::ostream & | str,
|  | TIterator | begin_r,
|  | TIterator | end_r )
| related

Convenience to count and print out the number of ResObjects per Kind in a container.

Fits container of ResObject::Ptr or PoolItem.

Definition at line 70 of file PoolStats.h.

## Member Data Documentation

## ◆ _total

Counter<unsigned> zypp::pool::PoolStats::_total

Definition at line 53 of file PoolStats.h.

## ◆ _perKind

KindMap zypp::pool::PoolStats::_perKind

Definition at line 54 of file PoolStats.h.

The documentation for this struct was generated from the following file:

- zypp/pool/PoolStats.h